using DevExpress.Xpf.Printing;
using DevExpress.XtraReports.UI;

namespace BeWo.Core
{
    public class ReportPreviewModelLandscapeBugWorkaround : XtraReportPreviewModel
    {
        public ReportPreviewModelLandscapeBugWorkaround(XtraReport report) : base(report) { }

        protected override void Print(object parameter)
        {
            using (var printTool = new DevExpress.XtraPrinting.PrintTool(PrintingSystem))
            {
                printTool.PrintDialog();
            }
        }

        protected override void PrintDirect(object parameter)
        {
            using (var printTool = new DevExpress.XtraPrinting.PrintTool(PrintingSystem))
            {
                printTool.Print();
            }
        }
    }
}